package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import com.sun.xml.internal.txw2.annotation.XmlCDATA;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"value", "name"}
)
@XmlRootElement(
   name = "ATTRIBUTE"
)
public class ATTRIBUTE {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "VALUE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String value;
   @XmlAttribute(
      name = "PARTITIONNAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String partitionname;

   public String getNAME() {
      return this.name;
   }

   @XmlCDATA
   public void setNAME(String value) {
      this.name = value;
   }

   public String getVALUE() {
      return this.value;
   }

   @XmlCDATA
   public void setVALUE(String value) {
      this.value = value;
   }

   public String getPARTITIONNAME() {
      return this.partitionname;
   }

   public void setPARTITIONNAME(String value) {
      this.partitionname = value;
   }
}
